<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="#000">

    <RelativeLayout
        android:layout_width="@dimen/convert_500px"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/bg_white_button"
        android:paddingStart="@dimen/convert_37px"
        android:paddingTop="@dimen/convert_87px"
        android:paddingEnd="@dimen/convert_37px"
        android:paddingBottom="@dimen/convert_64px">


        <TextView
            android:id="@+id/tv_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/convert_43px"
            android:gravity="center"
            android:lineHeight="@dimen/convert_60px"
            android:text="@string/update_recipe_title"
            android:textColor="#F30101"
            android:textSize="@dimen/convert_36px" />

        <RelativeLayout
            android:id="@+id/tips_ic"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/tv_title"
            android:layout_centerHorizontal="true"
            android:gravity="center">

            <ImageView
                android:id="@+id/loading"
                android:layout_width="@dimen/convert_60px"
                android:layout_height="@dimen/convert_60px"
                android:layout_centerHorizontal="true"
                android:layout_marginBottom="@dimen/convert_41px"
                android:gravity="center"
                android:visibility="gone"
                app:srcCompat="@drawable/ic_recipe_update_loading" />

            <ImageView
                android:id="@+id/success"
                android:layout_width="@dimen/convert_60px"
                android:layout_height="@dimen/convert_60px"
                android:layout_centerHorizontal="true"
                android:layout_marginBottom="@dimen/convert_41px"
                android:gravity="center"
                android:visibility="gone"
                app:srcCompat="@drawable/ic_recipe_update_success" />
        </RelativeLayout>


        <TextView
            android:id="@+id/tv_msg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/tips_ic"
            android:layout_centerHorizontal="true"
            android:gravity="center"
            android:lineHeight="@dimen/convert_50px"
            android:text="有的食谱数据包，24个食谱,一共423MB，是否下载"
            android:textColor="#C1BFBF"
            android:textSize="@dimen/convert_30px" />

        <TextView
            android:id="@+id/tv_yes"
            android:layout_width="@dimen/convert_200px"
            android:layout_height="@dimen/convert_60px"
            android:layout_below="@id/tv_msg"
            android:layout_marginTop="@dimen/convert_80px"
            android:background="@drawable/bg_orange_button"
            android:gravity="center"
            android:text="@string/update"
            android:textColor="#fff"
            android:textSize="@dimen/convert_30px" />

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="@dimen/convert_200px"
            android:layout_height="@dimen/convert_60px"
            android:layout_below="@id/tv_msg"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/convert_80px"
            android:background="@drawable/bg_ee8f08_stoke"
            android:elevation="@dimen/convert_4px"
            android:gravity="center"
            android:text="@string/no"
            android:textColor="#FB900C"
            android:textSize="@dimen/convert_30px" />


    </RelativeLayout>

</FrameLayout>